<html>
<head>
<title>OGRE: OgreDataStream.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreDataStream.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>&quot;</code><br>
<code>#include &lt;istream&gt;</code><br>

<p>
<a href="OgreDataStream_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">General purpose class used for encapsulating the reading of data.  <a href="classOgre_1_1DataStream.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Common subclass of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> for handling data from chunks of memory.  <a href="classOgre_1_1MemoryDataStream.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html">Ogre::FileStreamDataStream</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Common subclass of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> for handling data from std::basic_istream.  <a href="classOgre_1_1FileStreamDataStream.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Common subclass of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> for handling data from C-style file handles.  <a href="classOgre_1_1FileHandleDataStream.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreDataStream_8h.html#71a2d398037a64aa241ef5c0be350430">OGRE_STREAM_TEMP_SIZE</a>&nbsp;&nbsp;&nbsp;128</td></tr>

<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef SharedPtr<br>
&lt; DataStream &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#8a2a961b4205aacff9c01e81e08d7781">Ogre::DataStreamPtr</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Shared pointer to allow data streams to be passed around without worrying about deallocation.  <a href="#8a2a961b4205aacff9c01e81e08d7781"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; DataStreamPtr &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#346c957ca4b71d80a4124c63542a9cd6">Ogre::DataStreamList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> items.  <a href="#346c957ca4b71d80a4124c63542a9cd6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef SharedPtr<br>
&lt; DataStreamList &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#ca357d60ac34de84a39467c1f557749e">Ogre::DataStreamListPtr</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Shared pointer to list of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> items.  <a href="#ca357d60ac34de84a39467c1f557749e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef SharedPtr<br>
&lt; MemoryDataStream &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#f8656a2c0ef06642f70c4b3745ee80a2">Ogre::MemoryDataStreamPtr</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Shared pointer to allow memory data streams to be passed around without worrying about deallocation.  <a href="#f8656a2c0ef06642f70c4b3745ee80a2"></a><br></td></tr>
</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="71a2d398037a64aa241ef5c0be350430"></a><!-- doxytag: member="OgreDataStream.h::OGRE_STREAM_TEMP_SIZE" ref="71a2d398037a64aa241ef5c0be350430" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_STREAM_TEMP_SIZE&nbsp;&nbsp;&nbsp;128          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreDataStream_8h-source.html#l00065">65</a> of file <a class="el" href="OgreDataStream_8h-source.html">OgreDataStream.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
